//
//  YHOtherInfoPreviewViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/2/24.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
/*
 *其他信息 预览
 */
class YHPreviewOtherInformationViewController: YHPersonInfoBaseViewController {
    var arrData : [YHPreviewInfoSessionModel] = []
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    
}

private extension YHPreviewOtherInformationViewController {
    func installData() {
        do {
            //居住信息
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "开始时间：", answer: "1990年8月")
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "结束时间：", answer: "2013年7月")
            let model0 = YHPersonInfoCellModel1(cellTitle: "国家1:中国", cellData: [tmp0,tmp1])
            
            let tmp2 = YHPreviewQuestionAndAnswerModel(question: "开始时间：", answer: "1990年8月")
            let tmp3 = YHPreviewQuestionAndAnswerModel(question: "结束时间：", answer: "2013年7月")
            let model1 = YHPersonInfoCellModel1(cellTitle: "国家1:中国2", cellData: [tmp2,tmp3])
            
            
            let tmp4 = YHPreviewQuestionAndAnswerModel(question: "开始时间：", answer: "1990年8月")
            let tmp5 = YHPreviewQuestionAndAnswerModel(question: "结束时间：", answer: "2013年7月")
            let model2 = YHPersonInfoCellModel1(cellTitle: "国家1:中国3", cellData: [tmp4,tmp5])
            
            
            let arr = [model0,model1,model2]
            let model3 = YHPreviewInfoSessionModel(cellType: .idCardInfoType, cellTitle: "居住信息", cellData1: arr)
            arrData.append(model3)
        }
        
        
        do {
            //语言能力
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "中文及英文", answer: "国外大学（英语国家）毕业，英文授课，获得学位证。（如为中外联合办学，在中国上课的，不算）")
            let arr = [tmp0]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "语言能力", cellData0: arr)
            arrData.append(model1)
        }
        
        
        do {
            //专业技能行业
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、最能代表你的专业技能的行业是？（单选）", answer: "无",remark: "我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业我的自定义专业")
            let arr = [tmp0]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "专业技能行业", cellData0: arr)
            arrData.append(model1)
        }
        
        
        do {
            //专业技能行业
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、您是否有行业内的专业资格证书？", answer: "否")
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "2、您是否在期刊或杂志上发表论文、文章、书籍等（与工作、资质有关的）？", answer: "是")
            let tmp2 = YHPreviewQuestionAndAnswerModel(question: "3、您是否有大学奖学金证明、专利证书、获奖证书（工作单位颁发的可以）？", answer: "是")
            let tmp3 = YHPreviewQuestionAndAnswerModel(question: "4、您是否被媒体采访过，专访您的文章被发表在杂志上或网络上？", answer: "是")
            let tmp4 = YHPreviewQuestionAndAnswerModel(question: "5、专业奖项：", answer: "这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例")
            let tmp5 = YHPreviewQuestionAndAnswerModel(question: "6、学业奖项：", answer: "--")
            let tmp6 = YHPreviewQuestionAndAnswerModel(question: "7、其他资料：", answer: "这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明说明示例，这里是一片文案说明。")
            let arr = [tmp0,tmp1,tmp2,tmp3,tmp4,tmp5,tmp6]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "辅助资料", cellData0: arr)
            arrData.append(model1)
        }
    }
    
    func setupUI() {
        installData()
        
        self.homeTableView.register(YHPreviewInfoCell.self,forCellReuseIdentifier: YHPreviewInfoCell.cellReuseIdentifier)
        self.homeTableView.reloadData()
    }
}



// MARK: - UITableViewDelegate 和 UITableViewDataSource
extension YHPreviewOtherInformationViewController {
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return arrData.count
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withClass: YHPreviewInfoCell.self)
        cell.selectionStyle = .none
        cell.model = arrData[indexPath.row]
        return cell
    }
}
